void sleep(void)
{
  set_sleep_mode(SLEEP_MODE_IDLE);
  sleep_mode();  
}

void sleep(unsigned long ms)
{
  uint16_t start = (uint16_t)micros();
  while (ms > 0) {
    set_sleep_mode(SLEEP_MODE_IDLE);
    sleep_mode();
    if (((uint16_t)micros() - start) >= 1000) {
      ms--;
      start += 1000;
    }
  }
}

void powerDown(void)
{
  set_sleep_mode(SLEEP_MODE_PWR_DOWN);
  sleep_mode();
}

void standby(void)
{
  set_sleep_mode(SLEEP_MODE_STANDBY_EX);
  sleep_mode();
}

